/* routes.h - support for MIB support of the routing tables */
#ifdef HAVE_SYS_MBUF_H
#include <sys/param.h>   /* required for mbuf.h on BSDI, FreeBSD */
#include <sys/mbuf.h>
#endif
#define KERNEL    /* to get routehash, RTHASHSIZ, rt_tables */
#include <net/route.h>
#undef   KERNEL

#define	METRIC_NONE	(-1)			/* ipRouteMetric[1234] */

#define	PROTO_OTHER	1			/* ipRouteProto */
#define	PROTO_ICMP	4
#define	PROTO_ESIS	10

struct rtetab {
    struct rtentry rt_rt;		/* from kernel */
    unsigned int32 rt_unit;		
    unsigned int32 rt_dst;		/* key */
    unsigned int32 rt_mask;		/* mask */
    unsigned int32 rt_gateway;		/* value */
};
